"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createPipeline = void 0;
const signales_1 = require("signales");
const objectEntries_1 = require("./utils/objectEntries");
const formatContract_1 = require("./utils/formatContract");
const createPipeline = (contracts) => {
    const init = {
        bootstrap: [],
        teardown: [],
        bootstrapAll: [],
        teardownAll: [],
    };
    const mergedContract = contracts.reduce((acc, contract) => {
        for (const [key, value] of (0, objectEntries_1.objectEntries)((0, formatContract_1.formatContract)(contract))) {
            acc[key].push(...value);
        }
        return acc;
    }, init);
    return (0, objectEntries_1.objectEntries)(mergedContract).reduce((acc, [name, callbacks]) => {
        acc[name] = async () => {
            const que = callbacks.reduce((prev, next) => prev.then(next), Promise.resolve());
            try {
                await que;
            }
            catch (error) {
                signales_1.signale.fatal(error);
                process.exit(1);
            }
        };
        return acc;
    }, {});
};
exports.createPipeline = createPipeline;
