"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.formatContract = void 0;
const objectEntries_1 = require("./objectEntries");
const formatContract = (contract) => {
    return (0, objectEntries_1.objectEntries)(contract).reduce((res, [key, value]) => {
        if (!value) {
            return res;
        }
        if (Array.isArray(value)) {
            res[key] = value;
        }
        else {
            res[key] = [value];
        }
        return res;
    }, {
        bootstrap: [],
        teardown: [],
        bootstrapAll: [],
        teardownAll: [],
    });
};
exports.formatContract = formatContract;
